# Class CTabFolderEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.custom.CTabFolderEvent

public class CTabFolderEvent extends TypedEvent
This event is sent when an event is generated in the `CTabFolder`.

Since:
  1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`doit`
A flag indicating whether the operation should be allowed.
`int`
`height`
The height of the chevron button at the time of the event.
`Widget`
`item`
The tab item for the operation.
`int`
`width`
The width of the chevron button at the time of the event.
`int`
`x`
The widget-relative, x coordinate of the chevron button at the time of the event.
`int`
`y`
The widget-relative, y coordinate of the chevron button at the time of the event.

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

## Field Details

### item

public Widget item
The tab item for the operation.

### doit

public boolean doit
A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation. Applies to the close and showList events.

### x

public int x
The widget-relative, x coordinate of the chevron button at the time of the event. Applies to the showList event.

### y

public int y
The widget-relative, y coordinate of the chevron button at the time of the event. Applies to the showList event.

### width

public int width
The width of the chevron button at the time of the event. Applies to the showList event.

### height

public int height
The height of the chevron button at the time of the event. Applies to the showList event.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `TypedEvent`